'use client'

import { useContext } from 'react'

import { CreateDatasetContext } from '@/contexts'

export function useCreateDataset() {
	const context = useContext(CreateDatasetContext)
	//
	if (!context) {
		throw new Error('useCreateDataset')
	}
	//
	return context
}
